# Documentation

Welcome to IT4Innovations documentation pages. The IT4Innovations national supercomputing center operates supercomputers [Salomon](/salomon/introduction/) and [Anselm](/anselm/introduction/). The supercomputers are [available](general/applying-for-resources/) to academic community within the Czech Republic and Europe and industrial community worldwide. The purpose of these pages is to provide a comprehensive documentation on hardware, software and usage of the computers.

## How to Read the Documentation

1. Read the list in the left column. Select the subject of interest. Alternatively, use the Search in the upper right corner.
1. Scan for all the notes and reminders on the page.
1. Read the details if still more information is needed. **Look for examples** illustrating the concepts.

## Getting Help and Support

!!! note
    Contact [support\[at\]it4i.cz](mailto:support@it4i.cz) for help and support regarding the cluster technology at IT4Innovations. Please use **Czech**, **Slovak** or **English** language for communication with us. Follow the status of your request to IT4Innovations at [support.it4i.cz/rt](http://support.it4i.cz/rt).

Use your IT4Innotations username and password to log in to the [support](http://support.it4i.cz/) portal.

## Required Proficiency

!!! note
    You need basic proficiency in Linux environment.

In order to use the system for your calculations, you need basic proficiency in Linux environment. To gain the proficiency, we recommend you reading the [introduction to Linux](http://www.tldp.org/LDP/intro-linux/html/) operating system environment and installing a Linux distribution on your personal computer. A good choice might be the [CentOS](http://www.centos.org/) distribution, as it is similar to systems on the clusters at IT4Innovations. It's easy to install and use. In fact, any distribution would do.

!!! note
    Learn how to parallelize your code!

In many cases, you will run your own code on the cluster. In order to fully exploit the cluster, you will need to carefully consider how to utilize all the cores available on the node and how to use multiple nodes at the same time. You need to **parallelize** your code. Proficieny in MPI, OpenMP, CUDA, UPC or GPI2 programming may be gained via the [training provided by IT4Innovations.](http://prace.it4i.cz)

## Terminology Frequently Used on These Pages

* **node:** a computer, interconnected by network to other computers - Computational nodes are powerful computers, designed and dedicated for executing demanding scientific computations.
* **core:** processor core, a unit of processor, executing computations
* **core-hour:** also normalized core-hour, NCH. A metric of computer utilization, [see definition](salomon/resources-allocation-policy/#normalized-core-hours-nch).
* **job:** a calculation running on the supercomputer - The job allocates and utilizes resources of the supercomputer for certain time.
* **HPC:** High Performance Computing
* **HPC (computational) resources:** corehours, storage capacity, software licences
* **code:** a program
* **primary investigator (PI):** a person responsible for execution of computational project and utilization of computational resources allocated to that project
* **collaborator:** a person participating on execution of computational project and utilization of computational resources allocated to that project
* **project:** a computational project under investigation by the PI - The project is identified by the project ID. The computational resources are allocated and charged per project.
* **jobscript:** a script to be executed by the PBS Professional workload manager

## Conventions

In this documentation, you will find a number of pages containing examples. We use the following conventions:

Cluster command prompt

```console
$
```

Your local linux host command prompt

```console
local $
```

## Errata

Although we have taken every care to ensure the accuracy of the content, mistakes do happen.
If you find an inconsistency or error, please report it by visiting <http://support.it4i.cz/rt>, creating a new ticket, and entering the details.
By doing so, you can save other readers from frustration and help us improve.
We will fix the problem as soon as possible.
